using AutoScan.Models;

namespace AutoScan.Interfaces;

public interface IDVRConnector
{
    Task<List<VideoDetail>> FetchMonitorVideosBetween(DateTime from, DateTime to, bool runDry = false, CancellationToken cancellationToken = default);
    Task DownloadMonitorVideo(VideoDetail video, string downloadFolder, bool runDry = false, CancellationToken cancellationToken = default);
    
    Task<string> GetVideoStream();
}