namespace AutoScan.Options;

public record AutoScanOptions
{
    public bool RunDry { get; set; } = false;
    public bool Enabled { get; set; }
    public string At { get; set; } = "06:00";
    public bool FromDayBefore { get; set; }
    public string From { get; set; } = "23:00";
    public string To { get; set; } = "1:00";
    public int MaxAmount { get; set; }
    public string? MediaFolder { get; set; }
    public ScannerOptions? Scanner { get; set; }
    public bool RemoveOriginalFiles { get; set; }
    public bool RemoveDetectionFiles { get; set; }
}