namespace ControlServer;

public record SensorEvent(long EventId, EventType Type, string Data)
{
    public Authorization Authorization { get; set; }
};

public enum EventType
{
    Fired,
    DisarmedEntrance,
    EventUpdate,
    Update,
    Unknown
}

public enum Authorization
{
    Unauthorized,
    Authorized
}